# InformationLossDefaultWithBound (ARX Developer Documentation)

org.deidentifier.arx.metric

## Class InformationLossDefaultWithBound

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLossWithBound<org.deidentifier.arx.metric.InformationLossDefault>
  - - org.deidentifier.arx.metric.InformationLossDefaultWithBound

-     public class InformationLossDefaultWithBound
      extends InformationLossWithBound<org.deidentifier.arx.metric.InformationLossDefault>

  Information loss with a potential lower bound.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformationLossDefaultWithBound(double informationLoss)` Creates a new instance without a lower bound.
    `InformationLossDefaultWithBound(double informationLoss, double lowerBound)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class org.deidentifier.arx.metric.InformationLossWithBound

      `getInformationLoss, getLowerBound, hasLowerBound`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InformationLossDefaultWithBound

          public InformationLossDefaultWithBound(double informationLoss)

      Creates a new instance without a lower bound.
      Parameters:
        `informationLoss` -

    - #### InformationLossDefaultWithBound

          public InformationLossDefaultWithBound(double informationLoss,
                                         double lowerBound)

      Creates a new instance.
      Parameters:
        `informationLoss` -
        `lowerBound` -